<template lang="pug">
BaseAnimationGroup(:appear='true').row.x-cardslayout
  .col-12.py-3.justify-content-center.d-flex(key='noDns' v-if='$butils.isEmpty(dns)')
    span.alert.alert-secondary Please select an experiment area...
  .col-12.py-3.justify-content-center.d-flex(key='noDaqs'
                                             v-if='!$butils.isEmpty(dns) && $butils.isEmpty(daqList)')
    span.alert.alert-secondary Loading DAQ information...
  .col-12.pb-3(v-if='!$butils.isEmpty(daqList)' key="summary")
    DaqTable(:daqList='daqList' :sources='sources')
  .col-12.pb-3(:key="daq.name" v-for='daq, key in daqList')
    Daq(:daq="daq" :source='$butils.get(sources, key)')
</template>
<script>

export { default } from './CardsLayout.vue.js';

</script>
